####Plotting the curated occurrences####


australis <- read.csv("C:\\Users\\franc\\OneDrive\\Área de Trabalho\\Academic\\SDM_PSP_paper\\PSP_SDM_results\\species to run\\Alexandrium_australis.csv")
seriata <- read.csv("C:\\Users\\franc\\OneDrive\\Área de Trabalho\\Academic\\SDM_PSP_paper\\PSP_SDM_results\\species to run\\Alexandrium_seriata.csv")
fraudulenta <- read.csv("C:\\Users\\franc\\OneDrive\\Área de Trabalho\\Academic\\SDM_PSP_paper\\PSP_SDM_results\\species to run\\Gymnodinium_fraudulenta.csv")

australis <- australis[,c("Species","x","y")]
seriata <- seriata[,c("Species","x","y")]
fraudulenta <- fraudulenta[,c("Species","x","y")]

names(fraudulenta) <- c('Species','long','lat')
names(australis) <- c('Species','long','lat')
names(seriata) <- c('Species','long','lat')

library("leaflet")

m <- leaflet(data = catenatum) %>%
  addTiles() %>%
  addCircleMarkers(~long,~lat,
                   radius = 6,
                   color = "darkred",
                   stroke = FALSE,
                   fillOpacity = 1)
m  # Print the map

m <- leaflet(data = catenella) %>%
  addTiles() %>%
  addCircleMarkers(~long,~lat,
                   radius = 6,
                   color = "darkgreen",
                   stroke = FALSE,
                   fillOpacity = 1)
m  # Print the map

m <- leaflet(data = minutum) %>%
  addTiles() %>%
  addCircleMarkers(~long,~lat,
                   radius = 6,
                   color = "orange",
                   stroke = FALSE,
                   fillOpacity = 1)

m  # Print the map












